Subject: Re: [PATCH v5 11/12] net: ethernet: mtk_eth_soc: switch to external PCS driver

From: "Russell King (Oracle)" <[email-masked]>
Date: Mon, 13 Feb 2023 12:27:48 +0000

On Sat, Feb 11, 2023 at 04:05:18PM +0000, Daniel Golle wrote:
> @@ -4582,6 +4583,7 @@ static int mtk_probe(struct platform_device *pdev)
>  		if (!eth->sgmii)
>  			return -ENOMEM;
>  
> +		eth->sgmii->dev = eth->dev;

My comment on this appears unaddressed (and not responded to either).

>  int mtk_sgmii_init(struct mtk_sgmii *ss, struct device_node *r, u32 ana_rgc3)
>  {
...
> +		ss->pcs[i] = mtk_pcs_lynxi_create(ss->dev, regmap, ana_rgc3,
> +						  flags);

This appears to be the only place that sgmii->dev is used, and this
function is only called immediately after the above assignment.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!